stream.h File Reference

## Classes

class | logstream_base
| Base class for the basic_logstream template which attempts to emulate std::basic_ostream but attempts to short-circuit unnecessary operations. More...
class | logstream
| An STL-like stream API for log4cxx using char as the character type. More...
class | wlogstream
| An STL-like stream API for log4cxx using wchar_t as the character type. More...
class | ulogstream
| An STL-like stream API for log4cxx using UniChar as the character type. More...

## Namespaces

| log4cxx

## Macros

#define | LOG4CXX_ENDMSG LOG4CXX_LOCATION << (log4cxx::logstream_manipulator) log4cxx::logstream_base::endmsg

## Typedefs

typedef logstream_base &(* | logstream_manipulator) (logstream_base &)

## Macro Definition Documentation

#define LOG4CXX_ENDMSG LOG4CXX_LOCATION << (log4cxx::logstream_manipulator) log4cxx::logstream_base::endmsg